diff --git a/include/hla-1_3/fedtime.hh b/include/hla-1_3/fedtime.hh
index 1c9204df..82de20fb 100644
--- a/include/hla-1_3/fedtime.hh
+++ b/include/hla-1_3/fedtime.hh
@@ -27,88 +27,61 @@ public:
     virtual int getPrintableLength() const;
     virtual void getPrintableString(char *);
 
-    virtual RTI::FedTime& operator+=(const RTI::FedTime &)
-	throw (RTI::InvalidFederationTime);
+    virtual RTI::FedTime& operator+=(const RTI::FedTime &);
 
-    virtual RTI::FedTime& operator-=(const RTI::FedTime &)
-	throw (RTI::InvalidFederationTime);
+    virtual RTI::FedTime& operator-=(const RTI::FedTime &);
 
-    virtual RTI::Boolean operator<=(const RTI::FedTime &) const
-	throw (RTI::InvalidFederationTime);
+    virtual RTI::Boolean operator<=(const RTI::FedTime &) const;
 
-    virtual RTI::Boolean operator<(const RTI::FedTime &) const
-	throw (RTI::InvalidFederationTime);
+    virtual RTI::Boolean operator<(const RTI::FedTime &) const;
 
-    virtual RTI::Boolean operator>=(const RTI::FedTime &) const
-	throw (RTI::InvalidFederationTime);
+    virtual RTI::Boolean operator>=(const RTI::FedTime &) const;
 
-    virtual RTI::Boolean operator>(const RTI::FedTime &) const
-	throw (RTI::InvalidFederationTime);
+    virtual RTI::Boolean operator>(const RTI::FedTime &) const;
 
-    virtual RTI::Boolean operator==(const RTI::FedTime &) const
-	throw (RTI::InvalidFederationTime);
+    virtual RTI::Boolean operator==(const RTI::FedTime &) const;
 
-    virtual RTI::FedTime & operator=(const RTI::FedTime &)
-	throw (RTI::InvalidFederationTime);
+    virtual RTI::FedTime & operator=(const RTI::FedTime &);
 
     virtual RTI::Double getTime() const;
 
-    virtual RTI::Boolean operator==(const RTI::Double &) const
-	throw (RTI::InvalidFederationTime);
+    virtual RTI::Boolean operator==(const RTI::Double &) const;
 
-    virtual RTI::Boolean operator!=(const RTI::FedTime &) const
-	throw (RTI::InvalidFederationTime);
+    virtual RTI::Boolean operator!=(const RTI::FedTime &) const;
 
-    virtual RTI::Boolean operator!=(const RTI::Double &) const
-	throw (RTI::InvalidFederationTime);
+    virtual RTI::Boolean operator!=(const RTI::Double &) const;
 
-    virtual RTI::FedTime &operator=(const RTIfedTime &)
-	throw (RTI::InvalidFederationTime);
+    virtual RTI::FedTime &operator=(const RTIfedTime &);
 
-    virtual RTI::FedTime &operator=(const RTI::Double &)
-	throw (RTI::InvalidFederationTime);
+    virtual RTI::FedTime &operator=(const RTI::Double &);
 
-    virtual RTI::FedTime &operator*=(const RTI::FedTime &)
-	throw (RTI::InvalidFederationTime);
+    virtual RTI::FedTime &operator*=(const RTI::FedTime &);
 
-    virtual RTI::FedTime &operator/=(const RTI::FedTime &)
-	throw (RTI::InvalidFederationTime);
+    virtual RTI::FedTime &operator/=(const RTI::FedTime &);
 
-    virtual RTI::FedTime &operator+=(const RTI::Double &)
-	throw (RTI::InvalidFederationTime);
+    virtual RTI::FedTime &operator+=(const RTI::Double &);
 
-    virtual RTI::FedTime &operator-=(const RTI::Double &)
-	throw (RTI::InvalidFederationTime);
+    virtual RTI::FedTime &operator-=(const RTI::Double &);
 
-    virtual RTI::FedTime &operator*=(const RTI::Double &)
-	throw (RTI::InvalidFederationTime);
+    virtual RTI::FedTime &operator*=(const RTI::Double &);
 
-    virtual RTI::FedTime &operator/=(const RTI::Double &)
-	throw (RTI::InvalidFederationTime);
+    virtual RTI::FedTime &operator/=(const RTI::Double &);
 
-    virtual RTIfedTime operator+(const RTI::FedTime &)
-	throw (RTI::InvalidFederationTime);
+    virtual RTIfedTime operator+(const RTI::FedTime &);
 
-    virtual RTIfedTime operator+(const RTI::Double &)
-	throw (RTI::InvalidFederationTime);
+    virtual RTIfedTime operator+(const RTI::Double &);
 
-    virtual RTIfedTime operator-(const RTI::FedTime &)
-	throw (RTI::InvalidFederationTime);
+    virtual RTIfedTime operator-(const RTI::FedTime &);
 
-    virtual RTIfedTime operator-(const RTI::Double &)
-	throw (RTI::InvalidFederationTime);
+    virtual RTIfedTime operator-(const RTI::Double &);
 
-    virtual RTIfedTime operator*(const RTI::FedTime &)
-	throw (RTI::InvalidFederationTime);
+    virtual RTIfedTime operator*(const RTI::FedTime &);
 
-    virtual RTIfedTime operator*(const RTI::Double &)
-	throw (RTI::InvalidFederationTime);
+    virtual RTIfedTime operator*(const RTI::Double &);
 
-    virtual RTIfedTime operator/(const RTI::FedTime &)
-	throw (RTI::InvalidFederationTime);
+    virtual RTIfedTime operator/(const RTI::FedTime &);
 
-    virtual RTIfedTime operator/(const RTI::Double &)
-	throw (RTI::InvalidFederationTime);
+    virtual RTIfedTime operator/(const RTI::Double &);
 
     friend RTI_STD::ostream FEDTIME_EXPORT &operator<<(RTI_STD::ostream&, const RTI::FedTime &);
 
diff --git a/include/ieee1516-2000/RTI/FederateAmbassador.h b/include/ieee1516-2000/RTI/FederateAmbassador.h
index 3233b15c..0c0b7f9a 100644
--- a/include/ieee1516-2000/RTI/FederateAmbassador.h
+++ b/include/ieee1516-2000/RTI/FederateAmbassador.h
@@ -24,64 +24,52 @@ namespace rti1516
   class RTI_EXPORT FederateAmbassador
   {
   protected:
-    FederateAmbassador()
-       throw (FederateInternalError);
+    FederateAmbassador();
 
   public:
     virtual
     ~FederateAmbassador()
-    throw ();
+    noexcept;
 
     // 4.7
     virtual
     void
-    synchronizationPointRegistrationSucceeded(std::wstring const & label)
-      throw (FederateInternalError) = 0;
+    synchronizationPointRegistrationSucceeded(std::wstring const & label) = 0;
 
     virtual
     void
     synchronizationPointRegistrationFailed(std::wstring const & label,
-                                           SynchronizationFailureReason reason)
-      throw (FederateInternalError) = 0;
+                                           SynchronizationFailureReason reason) = 0;
 
     // 4.8
     virtual
     void
     announceSynchronizationPoint(std::wstring  const & label,
-                                 VariableLengthData const & theUserSuppliedTag)
-      throw (FederateInternalError) = 0;
+                                 VariableLengthData const & theUserSuppliedTag) = 0;
 
     // 4.10
     virtual
     void
-    federationSynchronized(std::wstring const & label)
-      throw (FederateInternalError) = 0;
+    federationSynchronized(std::wstring const & label) = 0;
 
     // 4.12
     virtual
     void
-    initiateFederateSave(std::wstring const & label)
-      throw (UnableToPerformSave,
-             FederateInternalError) = 0;
+    initiateFederateSave(std::wstring const & label) = 0;
 
     virtual
     void
     initiateFederateSave(std::wstring const & label,
-                         LogicalTime const & theTime)
-      throw (UnableToPerformSave,
-             InvalidLogicalTime,
-             FederateInternalError) = 0;
+                         LogicalTime const & theTime) = 0;
 
     // 4.15
     virtual
     void
-    federationSaved()
-      throw (FederateInternalError) = 0;
+    federationSaved() = 0;
 
     virtual
     void
-    federationNotSaved(SaveFailureReason theSaveFailureReason)
-      throw (FederateInternalError) = 0;
+    federationNotSaved(SaveFailureReason theSaveFailureReason) = 0;
 
 
     // 4.17
@@ -89,53 +77,43 @@ namespace rti1516
     void
     federationSaveStatusResponse(
       FederateHandleSaveStatusPairVector const &
-      theFederateStatusVector)
-      throw (FederateInternalError) = 0;
+      theFederateStatusVector) = 0;
 
     // 4.19
     virtual
     void
-    requestFederationRestoreSucceeded(std::wstring const & label)
-      throw (FederateInternalError) = 0;
+    requestFederationRestoreSucceeded(std::wstring const & label) = 0;
 
     virtual
     void
-    requestFederationRestoreFailed(std::wstring const & label)
-      throw (FederateInternalError) = 0;
+    requestFederationRestoreFailed(std::wstring const & label) = 0;
 
     // 4.20
     virtual
     void
-    federationRestoreBegun()
-      throw (FederateInternalError) = 0;
+    federationRestoreBegun() = 0;
 
     // 4.21
     virtual
     void
     initiateFederateRestore(std::wstring const & label,
-      FederateHandle handle)
-      throw (SpecifiedSaveLabelDoesNotExist,
-             CouldNotInitiateRestore,
-             FederateInternalError) = 0;
+      FederateHandle handle) = 0;
 
     // 4.23
     virtual
     void
-    federationRestored()
-      throw (FederateInternalError) = 0;
+    federationRestored() = 0;
 
     virtual
     void
-    federationNotRestored(RestoreFailureReason theRestoreFailureReason)
-      throw (FederateInternalError) = 0;
+    federationNotRestored(RestoreFailureReason theRestoreFailureReason) = 0;
 
     // 4.25
     virtual
     void
     federationRestoreStatusResponse(
       FederateHandleRestoreStatusPairVector const &
-      theFederateStatusVector)
-      throw (FederateInternalError) = 0;
+      theFederateStatusVector) = 0;
 
     /////////////////////////////////////
     // Declaration Management Services //
@@ -144,30 +122,22 @@ namespace rti1516
     // 5.10
     virtual
     void
-    startRegistrationForObjectClass(ObjectClassHandle theClass)
-      throw (ObjectClassNotPublished,
-             FederateInternalError) = 0;
+    startRegistrationForObjectClass(ObjectClassHandle theClass) = 0;
 
     // 5.11
     virtual
     void
-    stopRegistrationForObjectClass(ObjectClassHandle theClass)
-      throw (ObjectClassNotPublished,
-             FederateInternalError) = 0;
+    stopRegistrationForObjectClass(ObjectClassHandle theClass) = 0;
 
     // 5.12
     virtual
     void
-    turnInteractionsOn(InteractionClassHandle theHandle)
-      throw (InteractionClassNotPublished,
-             FederateInternalError) = 0;
+    turnInteractionsOn(InteractionClassHandle theHandle) = 0;
 
     // 5.13
     virtual
     void
-    turnInteractionsOff(InteractionClassHandle theHandle)
-      throw (InteractionClassNotPublished,
-             FederateInternalError) = 0;
+    turnInteractionsOff(InteractionClassHandle theHandle) = 0;
 
     ////////////////////////////////
     // Object Management Services //
@@ -177,16 +147,12 @@ namespace rti1516
     virtual
     void
     objectInstanceNameReservationSucceeded(std::wstring const &
-                                           theObjectInstanceName)
-      throw (UnknownName,
-             FederateInternalError) = 0;
+                                           theObjectInstanceName) = 0;
 
     virtual
     void
     objectInstanceNameReservationFailed(std::wstring const &
-                                        theObjectInstanceName)
-      throw (UnknownName,
-             FederateInternalError) = 0;
+                                        theObjectInstanceName) = 0;
 
   
     // 6.5
@@ -194,10 +160,7 @@ namespace rti1516
     void
     discoverObjectInstance(ObjectInstanceHandle theObject,
                            ObjectClassHandle theObjectClass,
-                           std::wstring const & theObjectInstanceName)
-      throw (CouldNotDiscover,
-             ObjectClassNotKnown,
-             FederateInternalError) = 0;
+                           std::wstring const & theObjectInstanceName) = 0;
 
     // 6.7
     virtual
@@ -207,11 +170,7 @@ namespace rti1516
      AttributeHandleValueMap const & theAttributeValues,
      VariableLengthData const & theUserSuppliedTag,
      OrderType sentOrder,
-     TransportationType theType)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotRecognized,
-             AttributeNotSubscribed,
-             FederateInternalError) = 0;
+     TransportationType theType) = 0;
 
     virtual
     void
@@ -221,11 +180,7 @@ namespace rti1516
      VariableLengthData const & theUserSuppliedTag,
      OrderType sentOrder,
      TransportationType theType,
-     RegionHandleSet const & theSentRegionHandleSet)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotRecognized,
-             AttributeNotSubscribed,
-             FederateInternalError) = 0;
+     RegionHandleSet const & theSentRegionHandleSet) = 0;
 
     virtual
     void
@@ -236,11 +191,7 @@ namespace rti1516
      OrderType sentOrder,
      TransportationType theType,
      LogicalTime const & theTime,
-     OrderType receivedOrder)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotRecognized,
-             AttributeNotSubscribed,
-             FederateInternalError) = 0;
+     OrderType receivedOrder) = 0;
   
     virtual
     void
@@ -252,11 +203,7 @@ namespace rti1516
      TransportationType theType,
      LogicalTime const & theTime,
      OrderType receivedOrder,
-     RegionHandleSet const & theSentRegionHandleSet)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotRecognized,
-             AttributeNotSubscribed,
-             FederateInternalError) = 0;
+     RegionHandleSet const & theSentRegionHandleSet) = 0;
   
     virtual
     void
@@ -268,12 +215,7 @@ namespace rti1516
      TransportationType theType,
      LogicalTime const & theTime,
      OrderType receivedOrder,
-     MessageRetractionHandle theHandle)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotRecognized,
-             AttributeNotSubscribed,
-             InvalidLogicalTime,
-             FederateInternalError) = 0;
+     MessageRetractionHandle theHandle) = 0;
 
     virtual
     void
@@ -286,12 +228,7 @@ namespace rti1516
      LogicalTime const & theTime,
      OrderType receivedOrder,
      MessageRetractionHandle theHandle,
-     RegionHandleSet const & theSentRegionHandleSet)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotRecognized,
-             AttributeNotSubscribed,
-             InvalidLogicalTime,
-             FederateInternalError) = 0;
+     RegionHandleSet const & theSentRegionHandleSet) = 0;
 
     // 6.9
     virtual
@@ -301,11 +238,7 @@ namespace rti1516
      ParameterHandleValueMap const & theParameterValues,
      VariableLengthData const & theUserSuppliedTag,
      OrderType sentOrder,
-     TransportationType theType)
-      throw (InteractionClassNotRecognized,
-             InteractionParameterNotRecognized,
-             InteractionClassNotSubscribed,
-             FederateInternalError) = 0;
+     TransportationType theType) = 0;
 
     virtual
     void
@@ -315,11 +248,7 @@ namespace rti1516
      VariableLengthData const & theUserSuppliedTag,
      OrderType sentOrder,
      TransportationType theType,
-     RegionHandleSet const & theSentRegionHandleSet)
-      throw (InteractionClassNotRecognized,
-             InteractionParameterNotRecognized,
-             InteractionClassNotSubscribed,
-             FederateInternalError) = 0;
+     RegionHandleSet const & theSentRegionHandleSet) = 0;
 
     virtual
     void
@@ -330,11 +259,7 @@ namespace rti1516
      OrderType sentOrder,
      TransportationType theType,
      LogicalTime const & theTime,
-     OrderType receivedOrder)
-      throw (InteractionClassNotRecognized,
-             InteractionParameterNotRecognized,
-             InteractionClassNotSubscribed,
-             FederateInternalError) = 0;
+     OrderType receivedOrder) = 0;
 
     virtual
     void
@@ -346,11 +271,7 @@ namespace rti1516
      TransportationType theType,
      LogicalTime const & theTime,
      OrderType receivedOrder,
-     RegionHandleSet const & theSentRegionHandleSet)
-      throw (InteractionClassNotRecognized,
-             InteractionParameterNotRecognized,
-             InteractionClassNotSubscribed,
-             FederateInternalError) = 0;
+     RegionHandleSet const & theSentRegionHandleSet) = 0;
 
     virtual
     void
@@ -362,12 +283,7 @@ namespace rti1516
      TransportationType theType,
      LogicalTime const & theTime,
      OrderType receivedOrder,
-     MessageRetractionHandle theHandle)
-      throw (InteractionClassNotRecognized,
-             InteractionParameterNotRecognized,
-             InteractionClassNotSubscribed,
-             InvalidLogicalTime,
-             FederateInternalError) = 0;
+     MessageRetractionHandle theHandle) = 0;
 
     virtual
     void
@@ -380,21 +296,14 @@ namespace rti1516
      LogicalTime const & theTime,
      OrderType receivedOrder,
      MessageRetractionHandle theHandle,
-     RegionHandleSet const & theSentRegionHandleSet)
-      throw (InteractionClassNotRecognized,
-             InteractionParameterNotRecognized,
-             InteractionClassNotSubscribed,
-             InvalidLogicalTime,
-             FederateInternalError) = 0;
+     RegionHandleSet const & theSentRegionHandleSet) = 0;
 
     // 6.11
     virtual
     void
     removeObjectInstance(ObjectInstanceHandle theObject,
                          VariableLengthData const & theUserSuppliedTag,
-                         OrderType sentOrder)
-      throw (ObjectInstanceNotKnown,
-             FederateInternalError) = 0;
+                         OrderType sentOrder) = 0;
 
     virtual
     void
@@ -402,9 +311,7 @@ namespace rti1516
                          VariableLengthData const & theUserSuppliedTag,
                          OrderType sentOrder,
                          LogicalTime const & theTime,
-                         OrderType receivedOrder)
-      throw (ObjectInstanceNotKnown,
-             FederateInternalError) = 0;
+                         OrderType receivedOrder) = 0;
 
     virtual
     void
@@ -413,32 +320,21 @@ namespace rti1516
                          OrderType sentOrder,
                          LogicalTime const & theTime,
                          OrderType receivedOrder,
-                         MessageRetractionHandle theHandle)
-      throw (ObjectInstanceNotKnown,
-             InvalidLogicalTime,
-             FederateInternalError) = 0;
+                         MessageRetractionHandle theHandle) = 0;
 
     // 6.15
     virtual
     void
     attributesInScope
     (ObjectInstanceHandle theObject,
-     AttributeHandleSet const & theAttributes)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotRecognized,
-             AttributeNotSubscribed,
-             FederateInternalError) = 0;
+     AttributeHandleSet const & theAttributes) = 0;
 
     // 6.16
     virtual
     void
     attributesOutOfScope
     (ObjectInstanceHandle theObject,
-     AttributeHandleSet const & theAttributes)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotRecognized,
-             AttributeNotSubscribed,
-             FederateInternalError) = 0;
+     AttributeHandleSet const & theAttributes) = 0;
 
     // 6.18
     virtual
@@ -446,33 +342,21 @@ namespace rti1516
     provideAttributeValueUpdate
     (ObjectInstanceHandle theObject,
      AttributeHandleSet const & theAttributes,
-     VariableLengthData const & theUserSuppliedTag)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotRecognized,
-             AttributeNotOwned,
-             FederateInternalError) = 0;
+     VariableLengthData const & theUserSuppliedTag) = 0;
 
     // 6.19
     virtual
     void
     turnUpdatesOnForObjectInstance
     (ObjectInstanceHandle theObject,
-      AttributeHandleSet const & theAttributes)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotRecognized,
-             AttributeNotOwned,
-             FederateInternalError) = 0;
+      AttributeHandleSet const & theAttributes) = 0;
 
     // 6.20
     virtual
     void
     turnUpdatesOffForObjectInstance
     (ObjectInstanceHandle theObject,
-      AttributeHandleSet const & theAttributes)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotRecognized,
-             AttributeNotOwned,
-             FederateInternalError) = 0;
+      AttributeHandleSet const & theAttributes) = 0;
 
     ///////////////////////////////////
     // Ownership Management Services //
@@ -484,24 +368,14 @@ namespace rti1516
     requestAttributeOwnershipAssumption
     (ObjectInstanceHandle theObject,
      AttributeHandleSet const & offeredAttributes,
-     VariableLengthData const & theUserSuppliedTag)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotRecognized,
-             AttributeAlreadyOwned,
-             AttributeNotPublished,
-             FederateInternalError) = 0;
+     VariableLengthData const & theUserSuppliedTag) = 0;
 
     // 7.5
     virtual
     void
     requestDivestitureConfirmation
     (ObjectInstanceHandle theObject,
-     AttributeHandleSet const & releasedAttributes)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotRecognized,
-             AttributeNotOwned,
-             AttributeDivestitureWasNotRequested,
-             FederateInternalError) = 0;
+     AttributeHandleSet const & releasedAttributes) = 0;
 
     // 7.7
     virtual
@@ -509,25 +383,14 @@ namespace rti1516
     attributeOwnershipAcquisitionNotification
     (ObjectInstanceHandle theObject,
      AttributeHandleSet const & securedAttributes,
-     VariableLengthData const & theUserSuppliedTag)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotRecognized,
-             AttributeAcquisitionWasNotRequested,
-             AttributeAlreadyOwned,
-             AttributeNotPublished,
-             FederateInternalError) = 0;
+     VariableLengthData const & theUserSuppliedTag) = 0;
 
     // 7.10
     virtual
     void
     attributeOwnershipUnavailable
     (ObjectInstanceHandle theObject,
-     AttributeHandleSet const & theAttributes)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotRecognized,
-             AttributeAlreadyOwned,
-             AttributeAcquisitionWasNotRequested,
-             FederateInternalError) = 0;
+     AttributeHandleSet const & theAttributes) = 0;
 
     // 7.11
     virtual
@@ -535,49 +398,31 @@ namespace rti1516
     requestAttributeOwnershipRelease
     (ObjectInstanceHandle theObject,
      AttributeHandleSet const & candidateAttributes,
-     VariableLengthData const & theUserSuppliedTag)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotRecognized,
-             AttributeNotOwned,
-             FederateInternalError) = 0;
+     VariableLengthData const & theUserSuppliedTag) = 0;
 
     // 7.15
     virtual
     void
     confirmAttributeOwnershipAcquisitionCancellation
     (ObjectInstanceHandle theObject,
-     AttributeHandleSet const & theAttributes)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotRecognized,
-             AttributeAlreadyOwned,
-             AttributeAcquisitionWasNotCanceled,
-             FederateInternalError) = 0;
+     AttributeHandleSet const & theAttributes) = 0;
 
     // 7.17
     virtual
     void
     informAttributeOwnership(ObjectInstanceHandle theObject,
                              AttributeHandle theAttribute,
-                             FederateHandle theOwner)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotRecognized,
-             FederateInternalError) = 0;
+                             FederateHandle theOwner) = 0;
 
     virtual
     void
     attributeIsNotOwned(ObjectInstanceHandle theObject,
-                        AttributeHandle theAttribute)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotRecognized,
-             FederateInternalError) = 0;
+                        AttributeHandle theAttribute) = 0;
 
     virtual
     void
     attributeIsOwnedByRTI(ObjectInstanceHandle theObject,
-                          AttributeHandle theAttribute)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotRecognized,
-             FederateInternalError) = 0;
+                          AttributeHandle theAttribute) = 0;
 
     //////////////////////////////
     // Time Management Services //
@@ -586,32 +431,22 @@ namespace rti1516
     // 8.3
     virtual
     void
-    timeRegulationEnabled(LogicalTime const & theFederateTime)
-      throw (InvalidLogicalTime,
-             NoRequestToEnableTimeRegulationWasPending,
-             FederateInternalError) = 0;
+    timeRegulationEnabled(LogicalTime const & theFederateTime) = 0;
 
     // 8.6
     virtual
     void
-    timeConstrainedEnabled(LogicalTime const & theFederateTime)
-      throw (InvalidLogicalTime,
-             NoRequestToEnableTimeConstrainedWasPending,
-             FederateInternalError) = 0;
+    timeConstrainedEnabled(LogicalTime const & theFederateTime) = 0;
 
     // 8.13
     virtual
     void
-    timeAdvanceGrant(LogicalTime const & theTime)
-      throw (InvalidLogicalTime,
-             JoinedFederateIsNotInTimeAdvancingState,
-             FederateInternalError) = 0;
+    timeAdvanceGrant(LogicalTime const & theTime) = 0;
 
     // 8.22
     virtual
     void
-    requestRetraction(MessageRetractionHandle theHandle)
-      throw (FederateInternalError) = 0;
+    requestRetraction(MessageRetractionHandle theHandle) = 0;
   };
 }
 
diff --git a/include/ieee1516-2000/RTI/Handle.h b/include/ieee1516-2000/RTI/Handle.h
index 9d83d345..5b4ea2d6 100644
--- a/include/ieee1516-2000/RTI/Handle.h
+++ b/include/ieee1516-2000/RTI/Handle.h
@@ -38,7 +38,7 @@ public:                                                         \
    HandleKind();                                                \
                                                                 \
    ~HandleKind()                                                \
-      throw();                                                  \
+      noexcept;                                                 \
                                                                 \
    HandleKind(HandleKind const & rhs);                          \
                                                                 \
@@ -60,8 +60,7 @@ public:                                                         \
    /* Alternate encode for directly filling a buffer         */ \
    unsigned long encodedLength() const;                         \
    unsigned long encode(                                        \
-      void* buffer, unsigned long bufferSize) const             \
-      throw (CouldNotEncode);                                   \
+      void* buffer, unsigned long bufferSize) const;            \
                                                                 \
    std::wstring toString() const;                               \
                                                                 \
diff --git a/include/ieee1516-2000/RTI/LogicalTime.h b/include/ieee1516-2000/RTI/LogicalTime.h
index b58a3675..7d274d7c 100644
--- a/include/ieee1516-2000/RTI/LogicalTime.h
+++ b/include/ieee1516-2000/RTI/LogicalTime.h
@@ -49,43 +49,35 @@ namespace rti1516
 
     virtual
     LogicalTime &
-    operator=(LogicalTime const & value)
-      throw (InvalidLogicalTime) = 0;
+    operator=(LogicalTime const & value) = 0;
 
     virtual
     LogicalTime &
-    operator+=(LogicalTimeInterval const & addend)
-      throw (IllegalTimeArithmetic, InvalidLogicalTimeInterval) = 0;
+    operator+=(LogicalTimeInterval const & addend) = 0;
 
     virtual
     LogicalTime &
-    operator-=(LogicalTimeInterval const & subtrahend)
-      throw (IllegalTimeArithmetic, InvalidLogicalTimeInterval) = 0;
+    operator-=(LogicalTimeInterval const & subtrahend) = 0;
 
     virtual
     bool
-    operator>(LogicalTime const & value) const
-      throw (InvalidLogicalTime) = 0;
+    operator>(LogicalTime const & value) const = 0;
 
     virtual
     bool
-    operator<(LogicalTime const & value) const
-      throw (InvalidLogicalTime) = 0;
+    operator<(LogicalTime const & value) const = 0;
 
     virtual
     bool
-    operator==(LogicalTime const & value) const
-      throw (InvalidLogicalTime) = 0;
+    operator==(LogicalTime const & value) const = 0;
 
     virtual
     bool
-    operator>=(LogicalTime const & value) const
-      throw (InvalidLogicalTime) = 0;
+    operator>=(LogicalTime const & value) const = 0;
 
     virtual
     bool
-    operator<=(LogicalTime const & value) const
-      throw (InvalidLogicalTime) = 0;
+    operator<=(LogicalTime const & value) const = 0;
     
     // Generates an encoded value that can be used to send
     // LogicalTimes to other federates in updates or interactions
@@ -93,18 +85,13 @@ namespace rti1516
 
     // Alternate encode for directly filling a buffer
     virtual unsigned long encodedLength() const = 0;
-    virtual unsigned long encode(void* buffer, unsigned long bufferSize) const 
-       throw (CouldNotEncode) = 0;
+    virtual unsigned long encode(void* buffer, unsigned long bufferSize) const = 0;
    
     // Decode encodedLogicalTime into self
-    virtual void decode(VariableLengthData const & encodedLogicalTime)
-      throw (InternalError,
-             CouldNotDecode) = 0;
+    virtual void decode(VariableLengthData const & encodedLogicalTime) = 0;
 
     // Alternate decode that reads directly from a buffer
-    virtual void decode(void* buffer, unsigned long bufferSize)
-      throw (InternalError,
-             CouldNotDecode) = 0;
+    virtual void decode(void* buffer, unsigned long bufferSize) = 0;
 
     virtual std::wstring toString() const = 0;
 
diff --git a/include/ieee1516-2000/RTI/LogicalTimeFactory.h b/include/ieee1516-2000/RTI/LogicalTimeFactory.h
index 9b29bcea..22dba02c 100644
--- a/include/ieee1516-2000/RTI/LogicalTimeFactory.h
+++ b/include/ieee1516-2000/RTI/LogicalTimeFactory.h
@@ -36,19 +36,17 @@ namespace rti1516
   public:
     virtual
     ~LogicalTimeFactory()
-      throw () = 0;
+      noexcept = 0;
     
     // Returns a LogicalTime with a value of "initial"
     virtual
     std::auto_ptr< LogicalTime >
-    makeLogicalTime()
-      throw (InternalError) = 0;
+    makeLogicalTime() = 0;
     
     // Returns a LogicalTimeInterval with a value of "zero"
     virtual 
     std::auto_ptr< LogicalTimeInterval >
-    makeLogicalTimeInterval() 
-      throw (InternalError) = 0;
+    makeLogicalTimeInterval() = 0;
   };
 }
 
